Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Rectangle

All Superinterfaces:
  AbstractFigure, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier, RealFigure, Shape

All Known Implementing Classes:
  RectangleImpl

    public interface Rectangle

extends Shape

A representation of the model object 'Rectangle'. org.eclipse.draw2d.RectangleFigure

See Also:
  `GMFGraphPackage.getRectangle()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.gmfgraph.Shape
`getLineKind, getLineWidth, getResolvedChildren, isFill, isOutline, isXorFill, isXorOutline, setFill, setLineKind, setLineWidth, setOutline, setXorFill, setXorOutline`

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.